Get upload URL for note attachment

POST /api/v1/notes/{note_id}/attachments/upload-url

Generate a presigned URL to upload a file to S3 for a note.

Operation ID: get_attachment_upload_url_api_v1_notes__note_id__attachments_upload_url_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

note_id string required

Request body

file_name string required
mime_type string required
file_size integer required

Responses

201 Successful Response

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object